package com.smup.map;

import org.newdawn.slick.Color;

import com.smup.states.Map;

public class ScrollPausingOnEntryMapPart extends MapPart {

	protected boolean begin = false;
	protected float m_tempsDePause;
	
	public ScrollPausingOnEntryMapPart(Map map, String nom, Color backColor, float tempsDePause) {
		super(map, nom, backColor);
		
		m_tempsDePause = tempsDePause;
	}
	
	@Override
	public void checkCollisions(float distanceActuelle) {
		super.checkCollisions(distanceActuelle);
		
		if(distanceActuelle >= m_distanceCommencement && !begin) {
			onBegin();
			begin = true;
		}
	}
	
	public void onBegin() {
		m_map.pauseScrolling(m_tempsDePause);
	}

}
