package com.smup;

import org.newdawn.slick.AppGameContainer;
import org.newdawn.slick.GameContainer;
import org.newdawn.slick.SlickException;
import org.newdawn.slick.state.StateBasedGame;

import com.smup.states.LoadingScreen;

public class Smup extends StateBasedGame {

	public Smup() {
		super("Smup_02 - TestVersion - v.0.0.1");
	}

	public static void main(String[] args) {
		try {
			AppGameContainer agc = new AppGameContainer(new Smup());
			
			agc.setDisplayMode(1000, 500, false);
			agc.setShowFPS(true);
			agc.setVSync(true);
			agc.setSmoothDeltas(true);
			agc.setShowFPS(false);
	
			agc.start();
		} catch (SlickException e) {
			e.printStackTrace();
		}
	}

	@Override
	public void initStatesList(GameContainer gc) throws SlickException {
		addState(new LoadingScreen());
	}

}
