package com.smup.buffs;

import org.newdawn.slick.Image;
import org.newdawn.slick.util.Log;

import com.smup.RessourceManager;
import com.smup.ships.Vaisseau;

public class ShootRateModificator extends Buff {
	
	protected float m_ratio;
	
	public ShootRateModificator(Vaisseau owner, float duration, float ratio) {
		super(owner, duration);
		
		m_ratio = ratio;
		Log.debug("Ancienne valeure : " + m_owner.getFireRate());
		m_owner.setFireRate(m_owner.getFireRate() * m_ratio);
	}

	@Override
	protected void effect(float t) {
		
	}

	@Override
	protected void onEnd() {
		Log.debug("Calcul : " + m_owner.getFireRate() / m_ratio);
		m_owner.setFireRate(m_owner.getFireRate() / m_ratio);
		Log.debug("Nouvelle valeure : " + m_owner.getFireRate());
		m_owner.deleteBuff(this);
	}
	
	@Override
	public Image getIcon() {
		return RessourceManager.getInstance().getImageByID("buff-2x");
	}

}
